File: changelog

package info (click to toggle)
ruby-ncurses 1.4.9-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid, stretch
  • size: 484 kB
  • ctags: 784
  • sloc: ansic: 4,949; ruby: 1,095; makefile: 2
file content (300 lines) | stat: -rw-r--r-- 9,124 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
ruby-ncurses (1.4.9-1) unstable; urgency=medium

  * New upstream release.
    + Ship README.md instead of README
  * d/copyright: Update maintainers' copyrights

 -- Per Andersson <avtobiff@debian.org>  Sun, 06 Mar 2016 21:37:16 +0100

ruby-ncurses (1.4.8-2) unstable; urgency=medium

  [ Sebastien Badia ]
  * Team upload.
  * d/watch: Fall-back to Github (githubredir webservice was discontinued)

  [ Lucas Nussbaum ]
  * Remove myself from Uploaders.
  * Update packaging:
    + Bump Standards-Version
    + Add Testsuite field
    + Update Vcs-Browser
    + Change homepage to match gemspec
  * Fix lintian warnings in copyright file

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 06 May 2015 22:58:54 +0200

ruby-ncurses (1.4.8-1) unstable; urgency=low

  * New upstream release
  * Changed to my debian address
  * Include examples/form*.rb files, they are GFDL-1.2+ licensed
    - Remove orig source repackaging
  * Drop 0001-Use-ncursesw-includes.patch, resolved upstream


 -- Per Andersson <avtobiff@debian.org>  Tue, 30 Sep 2014 22:12:15 +0200

ruby-ncurses (1.4.7+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #736571)
  * Refresh patch Use ncursesw includes
  * Add patch to use absolute path in shebang in examples/color_pairs.rb

 -- Per Andersson <avtobiff@gmail.com>  Thu, 20 Mar 2014 13:48:40 +0100

ruby-ncurses (1.4.4+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Per Andersson <avtobiff@gmail.com>  Tue, 28 Jan 2014 01:18:52 +0100

ruby-ncurses (1.4.3+dfsg-1) unstable; urgency=low

  * New upstream release
    + Remove patches applied upstream
      - Ruby >= 1.9 compatibilit
      - Formatting error string
    + Add patch for using ncursesw headers
  * Changed to new active upstream
    + Updated debian/{control,copyright,watch}
  * Removed non-dfsg free upstream files
    + Added method to repackage non-dfsg free upstream tarball
  * Don't ship LICENSE file from examples

 -- Per Andersson <avtobiff@gmail.com>  Tue, 21 Jan 2014 22:56:57 +0100

ruby-ncurses (1.3.1-3) unstable; urgency=low

  * Team upload
  * Update fro ruby1.8-removal
  * Bump standards version to 3.9.5
  * Remove transitional packages
  [ C├ędric Boutillier ] 
  * remove obsolete DM-Upload-Allowed flag
  * use canonical URI in Vcs-* fields  

 -- Praveen Arimbrathodiyil <praveen@debian.org>  Thu, 02 Jan 2014 23:20:49 +0530

ruby-ncurses (1.3.1-2) unstable; urgency=low

  * Fix FTBFS. Closes: #675951
    - Add patch for formatting error string.

 -- Per Andersson <avtobiff@gmail.com>  Thu, 07 Jun 2012 19:08:06 +0200

ruby-ncurses (1.3.1-1) unstable; urgency=low

  * Changed upstream to ncursesw-ruby. Closes: #477366.
    + Build-Depend on libncursesw5-dev.
    + Symlink ncurses.rb -> ncursesw.rb.
    + Provide ruby-ncursesw and update long description.
    + Updated watch file.
  * Build for all Ruby versions.
    + Add Ruby >= 1.9 compatibility patch.
    + Depend on ruby instead of ruby1.8.
  * Set (correct) priority extra for transitional packages.
  * Bump standards-version to 3.9.3, no changes needed.
  * Update copyright file to DEP5.
  * Add myself to uploaders.
  * Set unapply-patches in debian/source/local-options.
  * Use Breaks instead of Conflicts for transitional packages.

 -- Per Andersson <avtobiff@gmail.com>  Thu, 31 May 2012 22:36:50 +0200

ruby-ncurses (1.2.4-4) unstable; urgency=low

  * Add a transitional package for libncurses-ruby, too.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 17 Apr 2011 09:39:57 +0200

ruby-ncurses (1.2.4-3) unstable; urgency=low

  * Migration to gem2deb packaging.
    + Rename source package and binary packages, so upload with source.
    + Add transitional packages.
  * Disable building for ruby1.9.1, as the package doesn't work for this
    version.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 16 Apr 2011 07:58:46 +0200

ncurses-ruby (1.2.4-2) unstable; urgency=low

  * New maintainer, with Michael's blessing.
    + Ack NMU. Closes: #569625.
  * Add debian/watch.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Fix lintian warnings.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 20 Feb 2010 12:10:42 +0100

ncurses-ruby (1.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop 1.9 package, add 1.9.1 package. Closes: #501294, #565847.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 20 Jan 2010 21:40:45 +1300

ncurses-ruby (1.2.4-1) unstable; urgency=low

  * New upstream release 
  * Fixes undefined symbols, Closes: #529188
  * Change Section to ruby
  * apply with new Standards Version

 -- Michael Ablassmeier <abi@debian.org>  Mon, 10 Aug 2009 22:43:28 +0200

ncurses-ruby (1.2.2-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version

 -- Michael Ablassmeier <abi@debian.org>  Tue, 05 May 2009 21:07:24 +0200

ncurses-ruby (1.1-3) unstable; urgency=high

  * rebuild with latest ruby-dev in order to have the librarys at the right
    place (Closes: #484621)

 -- Michael Ablassmeier <abi@debian.org>  Mon, 16 Jun 2008 13:09:18 +0200

ncurses-ruby (1.1-2) unstable; urgency=low

  * Use ${shlibs:Depends} instead of old hardcoded ruby1.x,irb1.x dependency
    Closes: #448177
  * remove mkmf.log on clean

 -- Michael Ablassmeier <abi@debian.org>  Wed, 31 Oct 2007 08:43:46 +0100

ncurses-ruby (1.1-1) unstable; urgency=low

  * New upstream release
  * The package installed its library in $rubypath/1.[8,9]/i486-linux/
    no matter what architecture (this broke ncurses-ruby on for example
    amd64 and the like). Fix this by not using the .install files anymore
    but by calling the Makefile in debian/rules with proper arguments.

 -- Michael Ablassmeier <abi@debian.org>  Mon, 19 Jun 2006 15:00:02 +0200

ncurses-ruby (1.0-3) unstable; urgency=low

  * Lets build the library against ruby1.9 too.
  * move from cdbs to regular debian/rules
  * conforms to new Standards Version.

 -- Michael Ablassmeier <abi@debian.org>  Sat, 13 May 2006 09:48:31 +0200

ncurses-ruby (1.0-2) unstable; urgency=low

  * New Maintainer E-Mail 
  * Set DEB_MAKE_INVOKE=make in debian/rules, otherwise cdbs calls
    make in a way that overwrites CFLAGS and the package FTBFS. 
    Closes: #358085 

 -- Michael Ablassmeier <abi@debian.org>  Tue, 21 Mar 2006 09:01:31 +0100

ncurses-ruby (1.0-1) unstable; urgency=low

  * New upstream release

 -- Michael Ablassmeier <abi@grinser.de>  Mon, 19 Dec 2005 16:42:44 +0100

ncurses-ruby (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Michael Ablassmeier <abi@grinser.de>  Tue,  4 Oct 2005 13:27:30 +0200

ncurses-ruby (0.9.2-3) unstable; urgency=low

  * Rebuild against new ruby packages, see:
     http://lists.debian.org/debian-devel-announce/2005/06/msg00010.html
     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=315566 
  * Small update for debian/rules

 -- Michael Ablassmeier <abi@grinser.de>  Wed, 29 Jun 2005 17:59:09 +0200

ncurses-ruby (0.9.2-2) unstable; urgency=high

  * Fix FTBFS Closes: #307338 
  * Small update for debian/copyright

 -- Michael Ablassmeier <abi@grinser.de>  Tue,  3 May 2005 11:18:26 +0200

ncurses-ruby (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Michael Ablassmeier <abi@grinser.de>  Tue,  1 Mar 2005 16:36:10 +0100

ncurses-ruby (0.9.1-2) unstable; urgency=low

  * enhance dependency on debhelper (4.1.0, due cdbs)
  * lower first capital letters in package description
  * compress all examples in /usr/share/doc/ 

 -- Michael Ablassmeier <abi@grinser.de>  Sat, 12 Feb 2005 15:44:01 +0100

ncurses-ruby (0.9.1-1) unstable; urgency=low

  * New upstream release
  * New Standards Version.

 -- Michael Ablassmeier <abi@grinser.de>  Mon,  2 Aug 2004 20:44:24 +0200

ncurses-ruby (0.9-1) unstable; urgency=low

  * New upstream release
  * New Maintainer (Closes: #247983)
  * Update Standards Version

 -- Michael Ablassmeier <abi@grinser.de>  Sat, 22 May 2004 13:56:09 +0200

ncurses-ruby (0.8-4) unstable; urgency=low

  * Orphaning 

 -- Brian M. Almeida <bma@debian.org>  Sat,  8 May 2004 08:55:08 -0400

ncurses-ruby (0.8-3) unstable; urgency=low

  * Added example scripts 

 -- Brian M. Almeida <bma@debian.org>  Sat, 27 Sep 2003 09:48:32 -0400

ncurses-ruby (0.8-2) unstable; urgency=low

  * Recompile to use ruby1.8 

 -- Brian M. Almeida <bma@debian.org>  Mon, 22 Sep 2003 21:37:09 -0400

ncurses-ruby (0.8-1) unstable; urgency=low

  * New upstream release 
  * Compile against ruby1.6 -dev packages

 -- Brian M. Almeida <bma@debian.org>  Tue,  9 Sep 2003 21:42:38 -0400

ncurses-ruby (0.7.1-4) unstable; urgency=low

  * Really build with -fPIC 

 -- Brian M. Almeida <bma@debian.org>  Thu, 28 Aug 2003 18:49:49 -0400

ncurses-ruby (0.7.1-3) unstable; urgency=low

  * Add README to docs dir, closes: #207600 

 -- Brian M. Almeida <bma@debian.org>  Thu, 28 Aug 2003 08:11:21 -0400

ncurses-ruby (0.7.1-2) unstable; urgency=low

  * Build with -fPIC, closes: #207570 

 -- Brian M. Almeida <bma@debian.org>  Wed, 27 Aug 2003 22:54:11 -0400

ncurses-ruby (0.7.1-1) unstable; urgency=low

  * Initial Release, closes: #204588

 -- Brian M. Almeida <bma@debian.org>  Thu, 21 Aug 2003 13:17:46 -0400